package main

import (
	"os"
)

const (
	AppName    = "gask"
	AppVersion = 1
)

var app *AppState

func main() {
	app = NewApp()

	var parms []string
	if len(os.Args) > 1 {
		parms = os.Args[1:]
	} else {
		// If no parameters were passed, do a list
		parms = append(parms, "ls")
	}
	os.Exit(app.run(parms))
}
